IncludeFile "TinyIFF.pbi"

EnableExplicit

;==============================================================================

Procedure load(file.s)
  
  Protected image, iw, ih, ww, wh
  
  image = TinyIFF::Load(file)
  
  Debug image
  
  If image
    ww = WindowWidth(0)
    wh = WindowHeight(0)
    iw = ImageWidth(image)
    ih = ImageHeight(image)
 ;   ResizeGadget(0, ( ww - iw ) / 2, ( wh - ih ) / 2, #PB_Ignore, #PB_Ignore)
    SetWindowTitle(0, GetFilePart(file))
    SetGadgetState(0, ImageID(image))
    ResizeWindow(0,0,0,iw,ih)
    ;ResizeGadget(0,0,0,WindowWidth(0), WindowHeight(0))
    FreeImage(image)
  EndIf
  
EndProcedure

;==============================================================================

If OpenWindow(0, 0, 0, 1280, 1024, "", #PB_Window_SystemMenu | #PB_Window_SizeGadget | #PB_Window_ScreenCentered| #PB_Window_MinimizeGadget)
  
  SetWindowColor(0, RGB(0, 0, 0))
  ImageGadget(0, 0, 0, WindowWidth(0), WindowHeight(0), 0)
  EnableWindowDrop(0, #PB_Drop_Files, #PB_Drag_Link)
  
  load("moons.lbm") ; <<<<<<<<<<< changer le nom de fichier !!!
  
  Repeat
    Select WaitWindowEvent()
      Case #PB_Event_CloseWindow
        Break
      Case #PB_Event_WindowDrop
        load(StringField(EventDropFiles(), 1, Chr(10)))
    EndSelect
  ForEver
  
EndIf

;==============================================================================

; IDE Options = PureBasic 5.30 (Windows - x86)
; CursorPosition = 13
; FirstLine = 6
; Folding = -
; EnableUnicode
; EnableXP